## tesseract 4.1

=== DESCRIPTION ===
Package: tesseract
Type: Package
Title: Open Source OCR Engine
Version: 4.1
Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
    comment = c(ORCID = "0000-0002-4035-0289"))
Description: Bindings to 'Tesseract' <https://opensource.google.com/projects/tesseract>: 
     a powerful optical character recognition (OCR) engine that supports over 100 languages.
     The engine is highly configurable in order to tune the detection algorithms and
     obtain the best possible results.
License: Apache License 2.0
URL: https://github.com/ropensci/tesseract
BugReports: https://github.com/ropensci/tesseract/issues
SystemRequirements: Tesseract >= 3.03 (libtesseract-dev /
        tesseract-devel) and Leptonica (libleptonica-dev /
        leptonica-devel). On Debian you need to install the English
        training data separately (tesseract-ocr-eng)
Imports: Rcpp (>= 0.12.12), pdftools (>= 1.5), curl, rappdirs, digest
LinkingTo: Rcpp
RoxygenNote: 6.1.0
Suggests: magick (>= 1.7), spelling, knitr, tibble, rmarkdown
Encoding: UTF-8
VignetteBuilder: knitr
Language: en-US
NeedsCompilation: yes
Packaged: 2019-07-25 20:14:12 UTC; jeroen
Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
Repository: CRAN
Date/Publication: 2019-07-25 20:50:02 UTC
