## tesseract 4.1.0

=== debian/changelog ===
tesseract (4.1.0-2) unstable; urgency=medium

  * New upstream release.
  * disable patch - man.diff
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: 5280bbcade4e2dec5eef439a6e189504c2eadcd9
  * Date: 1562502848
  * git changelog:
  *  5280bbca - 4.1.0 Release
  *  22fb70cb - Fix handling of single pages from multipage TIFF files
    (issue #2537)
  *  08ca7b84 - Fix linker error with disabled legacy engine (issue
    #2532)
  *  48641b07 - Remove outdated build information for Android
  *  e53e1050 - genericvector: Remove redundant declarations
  *  f4698154 - Revert "Replace callback by direct function calls in
    TessBaseAPI::GetComponentImages"
  *  792b39d5 - Revert "Move LSTMTrainer from libtesseract to
    libtesseract_training"
  *  c310fef8 - Fix crash in Tesseract::classify_word_and_language()
    when tessedit_timing_debug is enabled
  *  d8494f32 - Revert "Simplify indirect call of
    LMPainPoints::GeneratePainPoint"
  *  1d5a320d - Revert "Simplify class LSTMTrainer"
  *  10f5bffa - decrease reuired version of cmake to build as 3.6 is
    still in use. Side effect no support for c++17 in CXX_STANDARD
  *  6157b8b5 - update Changelog (main 4.1 changes)
  *  1a205b8b - cmake: Fix build with OpenMP (issue #2462)
  *  3dff32e4 - Fix check for icu 52.1 or newer
  *  4535e460 - Update enum from unicode/uchar.h
  *  4b03d13f - unittest: Fix function QCHECK (issue #2517)
  *  afb36b35 - Add VS2019
  *  20a0c614 - Fix format string for 64 bit integer
  *  daac30e6 - baseapi: Remove old code
  *  1ce4c2f8 - Replace code using _splitpath_s (win32)
  *  1a279d11 - Remove outdated comment
  *  dc2dada0 - Remove dummy code from
    LSTMTrainer::InitTensorFlowNetwork
  *  7b589622 - Simplify unittest/Makefile.am
  *  f44be2e8 - cmake: Build training tools also on Linux and macOS
  *  c967f892 - Add package libpango1.0-dev to Travis configuration
  *  a30d4333 - Move LSTMTrainer from libtesseract to
    libtesseract_training
  *  1a44ce31 - Replace callback by direct function calls in
    TessBaseAPI::GetComponentImages
  *  563a1717 - Simplify class LSTMTrainer
  *  c5525c44 - Remove wrong description for
    GenericVector::set_compare_callback and simplify code
  *  6a0fc4f8 - Simplify indirect call of
    LMPainPoints::GeneratePainPoint
  *  c614907e - tesstrain_utils.sh: remove redundant code
  *  6a39b81d - tesscallback: Remove more unused code
  *  3cdafa0f - 4.1.0 Release candidate 4
  *  d7d05000 - Remove code for embedded build
  *  4d5eb6d3 - Remove old and misguiding build steps on windows.
  *  2f51af0f - ocrfeatures: Remove locally used functions from global
    interface
  *  9491538f - unittest: Add missing Leptonica library for
    textlineprojection_test
  *  9a5f7247 - Replace TessBaseAPI::CatchSignals by a dummy function
  *  cf512d38 - 4.1.0-rc3 => VERSION
  *  71608886 - Revert "Integrated Timesteps per symbol into
    ChoiceIterator"
  *  78ced35a - restore CatchSignals to fix API compatibility
  *  c5105c53 - fix build
  *  4d3455e1 - Integrated Timesteps per symbol into ChoiceIterator
  *  9897bc9c - cmake: backport master changes
  *  5d23dfa5 - create OUTPUT_DIR did not exist; fixes #2497
  *  153b921c - unittest: Catch missing eng.traineddata in baseapi_test
  *  ce82facc - unittest: Fix and enable normstrngs_test
  *  c01b3229 - unittest: Fix and enable textlineprojection_test
  *  bb2ea347 - unittest: Fix and enable scanutils_test
  *  3729b7b3 - Allow saving of box/tiff pairs during base tesseract
    training
  *  dfcdfe56 - Allow saving of box/tiff pairs during base tesseract
    training
  *  706a2330 - Allow saving of box/tiff pairs during base tesseract
    training
  *  35b88262 - unittest: Fix and enable ligature_table_test
  *  15da5c12 - [sw] Remove inexistent include dirs.
  *  5b32be82 - [sw] Exclude missing include dir.
  *  f9da14ec - Update appveyor.yml
  *  b6f9ab66 - Update sw script.
  *  249acaed - cmake: using c++ standard for g++
  *  2f6f77bb - Revert "Do not hardcode c++11 for unix builds"
  *  796129ea - Fix OpenMP builds on Unix
  *  9fcef36b - Do not hardcode c++11 for unix builds
  *  911a9916 - Detect and use C++17 support for CMake builds
  *  8204ca08 - Add dot product implementation using std::inner_product
  *  d33ced19 - Use C++17 compiler if possible
  *  26f41261 - Update documentation for unicharset_extractor
  *  ff45801d - fix packaging appveyor artifacts
  *  6e7dcc12 - Fix crash in PreloadRenderers with nullptr outputbase
  *  b0e0e27a - Fix build for unittests
  *  90b12b3a - scanedg: Add const attributes
  *  fdb3f58c - unittest: Remove unused methods
  *  9b9d4bf0 - Remove EXTERN macro
  *  927d1b8f - Remove unused macros
  *  831a3e61 - configure: Fix cross builds (check for TensorFlow
    header)
  *  337a467d - Fix compiler errors for old gcc
  *  4712a5eb - Remove some unused functions, constants and variables
  *  38f34862 - training: Add missing static attributes
  *  66e56891 - training: Move declarations from cpp files to h file
  *  6dfb049c - featdefs: Add missing include statement
  *  b4a7f51c - Add missing static attributes
  *  7f32cb65 - bits16: Modernize code
  *  d809200b - Do not link librt on OpenBSD
  *  2160ebfd - unicodes: Optimize code by using constexpr and removing
    unused globals
  *  cb6cf802 - featdefs: Optimize code by using constexpr
  *  a4e13782 - Fix broken build for Leptonica < 1.77
  *  9e23dc28 - Remove classify/cutoffs.h
  *  8b875c00 - fix '--enable-visibility' build
  *  516ada66 - cmake: respect -DTESSDATA_PREFIX=/path (on linux)
  *  227452f8 - Replace Tensorflow by TensorFlow
  *  34311b36 - Fix linking of unittest with Tensorflow
  *  6c68f084 - Implement check for Tensorflow header file
  *  bed08909 - Remove "third_party/" in comments and update path names
  *  b7537e94 - Support build with Tensorflow
  *  39c80095 - cmake: fix tiff linking to executable if tiffio.h is
    found
  *  e27a07e0 - fix missing tiff format

