=== debian/changelog ===
tesseract (4.1.1-2build2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:42:24 +0100

tesseract (4.1.1-2build1) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 13 Feb 2020 09:52:57 +0100

tesseract (4.1.1-2) unstable; urgency=medium

  * Update debian/control:
    - add build dependency from autoconf-archive (closes: #949119)
    - add dependency libarchive-dev for libtesseract-dev (closes: #949140)

 -- Alexander Pozdnyakov <almipo@mail.ru>  Sun, 19 Jan 2020 08:48:59 +0300

tesseract (4.1.1-1) unstable; urgency=medium

  * New upstream release.
  * Update debian/control:
    - delete build dependency from autoconf-archive
    - add build dependency on libarchive-dev
    - update dependency libtesseract4 for tesseract-ocr (closes: #942760)
  * Bump Standards-Version to 4.4.1
  * URL: git://github.com/tesseract-ocr/tesseract.git
  * Branch: 4.1
  * Commit: f4ef2f2050f4c25b28bdbf0063b7d2eb30f41cf7
  * Date: 1577374826
  * git changelog:
  *  f4ef2f20 - 4.1.1 Release
  *  01fb4c7f - BlockPolygon: clip to image rectangle
  *  36664031 - BlockPolygon: unrotate from internal to image
    coordinates
  *  0ab9839a - Use /W4 instead of /Wall for MSVC (fix issue #2816)
  *  6343f0ab - Added ComposedBlock level to Alto output
  *  42ec3137 - ignore qtcreator help files
  *  88174fea - backport changes pagesegmode_test.cc from master
  *  7389a275 - Provide more details for successful running of
    unittests.
  *  9d967cb1 - unittest: Fix build and simplify build rules
  *  69cbda61 - unittest: Initialize non-static class members in
    RecodeBeamTest (CID 1402765)
  *  85477214 - unittest: Fix two issues reported by Coverity Scan (CID
    1402761, 1402755)
  *  bdad0686 - unittest: Add missing precision specifiers (CID 1402752)
  *  95733433 - unittest: Don't build tatweel_test when TensorFlow is
    disabled
  *  2b04ff76 - unittest: Add missing libraries to fix linker errors
  *  16b1e5d2 - Update test submodule and fix pagesegmode_test
  *  50a41b63 - Update test submodule and fix tatweel_test
  *  cb762753 - Update sw.cpp
  *  cafdc7fa - fix sw build
  *  0c599556 - fix ABI compatibility (move training files back to 4.1.0
    location)
  *  def1dc46 - fix training build
  *  b559c330 - cmake: fix typo
  *  21c83b80 - Use "C" locale for printing parameters
  *  6d8ef9a1 - fix using bilevel tiff in pdf output
  *  eaf1f696 - Fix issue #2748
  *  1ce3cd28 - Use BRT_UNKNOWN instead of BRT_NOISE to initialize
    ColPartition::blob_type_
  *  d20db0f2 - Add missing libraries in configuration for pkg-config
  *  41ec6271 - Exposed the text2image option --ptsize to tesstrain.sh.
    Text2image has the option --ptsize which defaults to 12.  This
    option is not exposed through tesstrain.sh; thus, you cannot use
    tesstrain.sh to explore training with different font sizes.  I made
    a small modification to expose the --ptsize option to tesstrain.sh.
    It defaults to 12 if not specified.
  *  975c626d - Fail if no valid lstmf file was written (fix issue
    #2741)
  *  185d237c - Don't create an empty lstmf file
  *  2f011aec - Use pre-calculated lookup tables for all C++ compilers
  *  13237d85 - Fix build for Intel Compiler (issue #2736)
  *  87291fff - Improve ABI compatibility with version 4.1.0
  *  960583ca - partly Revert "Remove global array kPolyBlockNames from
    Tesseract library" to improve backwards API compatibility
  *  c423ad42 - partly Revert "Add more initial values for class
    Classify from constructor to header file" to improve backwards API
    compatibility
  *  b36cd639 - Revert "Delete copy constructor and assignment operator
    for TessBaseAPI (fix issue #874)"
  *  d423fb16 - add cppan depreciate info
  *  979b17f2 - fix sw build (add missing part from Move LSTMTrainer
    from libtesseract to libtesseract_training)
  *  b8089979 - fix cmake training build
  *  a2444bc5 - fix string conversion in lstmtrainer
  *  cca107d5 - fix autotools build of tesseract library
  *  2b4212c2 - add untracked src/training/lstmtrainer.h
  *  0cbd8297 - 4.1.1 Release Candidate 1
  *  dadf1329 - cmake: fix clan openmp build on windows
  *  710fa82f - fix inverting (Bilevel BW png) in pdf; fixes # 2059
  *  f27ca3e3 - Add pageseg_apply_music_mask option to allow disabling
    the music mask
  *  6a671e39 - remove legacy parameter disable_character_fragments from
    lstm.train
  *  cdd2a887 - src/ccutil/bits16.h remove warnings (#2726)
  *  23669398 - Remove warning C4312
  *  9295381d - Subject: training: show error description for
    open/delete file
  *  4bbfabaa - Delete copy constructor and assignment operator for
    TessBaseAPI (fix issue #874)
  *  e3441f0c - Copy resolution of source image (fix issue #1702)
  *  090d3c4b - Fix typo in README.md (found by codespell)
  *  7488c85e - fix memory leak at PangoFontInfo::CanRenderString
  *  080f83a1 - Change from HTTP to HTTPS
  *  4a5ec186 - test for synthesized font faces.
  *  f9d1bda7 - cmake: add minimum required version for pango and icu
    based on autotools
  *  99645e3c - text2image: show pango version
  *  077616fd - quadlsq: Fix warnings from LGTM
  *  02d916a6 - Use "C" locale for PDF output
  *  efc2b760 - Use "C" locale for ALTO output
  *  83af58c2 - Fix build error (undefined local variable)
  *  6a8be20b - Remove unimplemented +/- for parameter files
  *  c7e9f31b - do not exit if not existing parameter is used. fixes
    #1334
  *  03a05869 - Report when tesseract legacy engine not present. (fix
    issue #2053)
  *  17828fc7 - Fix isolated build.
  *  9c52eb0c - Add new parameter "document_title" to set the title in
    OCR output files
  *  e43eb910 - sw.cpp: Sync list of public headers with Autotools build
  *  fc45fc51 - CMake: Sync list of public headers with Autotools build
  *  a5670421 - speed optimisation - add the option to disable automatic

