=== debian/control ===
Source: tesseract
Section: graphics
Priority: optional
Maintainer: Alexander Pozdnyakov <almipo@mail.ru>
Build-Depends: debhelper (>= 9), libleptonica-dev (>= 1.75.3),
               automake, libtool, libarchive-dev, libpango1.0-dev, libcairo2-dev, libicu-dev,
               libpng-dev, libjpeg-dev, libtiff-dev, zlib1g-dev, git, autoconf-archive, asciidoc,
               xsltproc, docbook-xsl, docbook-xml, tesseract-ocr-eng (>= 4.00~)
Standards-Version: 4.4.1
Homepage: https://github.com/tesseract-ocr/
Vcs-Git: https://github.com/AlexanderP/tesseract-debian.git
Vcs-Browser: https://github.com/AlexanderP/tesseract-debian

Package: tesseract-ocr
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends},
 tesseract-ocr-eng (>= 4.00~), tesseract-ocr-osd (>= 4.00~), libtesseract4 (= ${binary:Version}), liblept5 (>= 1.75.3)
Replaces: tesseract-ocr-data
Description: Tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the command line tool.

Package: libtesseract-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libtesseract4 (= ${binary:Version}), ${misc:Depends}, libleptonica-dev, libarchive-dev
Replaces: tesseract-ocr-dev (<< 3.0.1-1~)
Breaks: tesseract-ocr-dev (<< 3.0.1-1~)
Description: Development files for the tesseract command line OCR tool
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the development files, static
 library, and header files.

Package: libtesseract4
Section: libs
Multi-Arch: same
Breaks: tesseract-ocr (<< 3.01~), ocropus (<< 0.4.0~),
 tesseract-afr (<< 4.00~), tesseract-ara (<< 4.00~), tesseract-aze (<< 4.00~),
 tesseract-bel (<< 4.00~), tesseract-ben (<< 4.00~), tesseract-bul (<< 4.00~),
 tesseract-cat (<< 4.00~), tesseract-ces (<< 4.00~), tesseract-chi-sim (<< 4.00~),
 tesseract-chi-tra (<< 4.00~), tesseract-chr (<< 4.00~), tesseract-dan (<< 4.00~),
 tesseract-deu (<< 4.00~), tesseract-deu-frak (<< 4.00~), tesseract-ell (<< 4.00~),
 tesseract-eng (<< 4.00~), tesseract-enm (<< 4.00~), tesseract-epo (<< 4.00~),
 tesseract-equ (<< 4.00~), tesseract-est (<< 4.00~), tesseract-eus (<< 4.00~),
 tesseract-fin (<< 4.00~), tesseract-fra (<< 4.00~), tesseract-frk (<< 4.00~),
 tesseract-frm (<< 4.00~), tesseract-glg (<< 4.00~), tesseract-grc (<< 4.00~),
 tesseract-heb (<< 4.00~), tesseract-hin (<< 4.00~), tesseract-hrv (<< 4.00~),
 tesseract-hun (<< 4.00~), tesseract-ind (<< 4.00~), tesseract-isl (<< 4.00~),
 tesseract-ita (<< 4.00~), tesseract-ita-old (<< 4.00~), tesseract-jpn (<< 4.00~),
 tesseract-kan (<< 4.00~), tesseract-kor (<< 4.00~),  tesseract-lav (<< 4.00~),
 tesseract-lit (<< 4.00~), tesseract-mal (<< 4.00~), tesseract-mkd (<< 4.00~),
 tesseract-mlt (<< 4.00~), tesseract-msa (<< 4.00~), tesseract-nld (<< 4.00~),
 tesseract-nor (<< 4.00~), tesseract-ocr-amh (<< 4.00~), tesseract-ocr-asm (<< 4.00~),
 tesseract-ocr-aze-cyrl (<< 4.00~), tesseract-ocr-bod (<< 4.00~), tesseract-ocr-bos (<< 4.00~),
 tesseract-ocr-ceb (<< 4.00~), tesseract-ocr-cym (<< 4.00~), tesseract-ocr-dan-frak (<< 4.00~),
 tesseract-ocr-dzo (<< 4.00~), tesseract-ocr-fas (<< 4.00~), tesseract-ocr-gle (<< 4.00~),
 tesseract-ocr-gle-uncial (<< 4.00~), tesseract-ocr-grc (<< 4.00~), tesseract-ocr-guj (<< 4.00~),
 tesseract-ocr-hat (<< 4.00~), tesseract-ocr-iku (<< 4.00~), tesseract-ocr-jav (<< 4.00~),
 tesseract-ocr-kat (<< 4.00~), tesseract-ocr-kat-old (<< 4.00~), tesseract-ocr-kaz (<< 4.00~),
 tesseract-ocr-khm (<< 4.00~), tesseract-ocr-kir (<< 4.00~), tesseract-ocr-kur (<< 4.00~),
 tesseract-ocr-lao (<< 4.00~), tesseract-ocr-lat (<< 4.00~), tesseract-ocr-mar (<< 4.00~),
 tesseract-ocr-mya (<< 4.00~), tesseract-ocr-nep (<< 4.00~), tesseract-ocr-ori (<< 4.00~),
 tesseract-ocr-pan (<< 4.00~), tesseract-ocr-pus (<< 4.00~), tesseract-ocr-san (<< 4.00~),
 tesseract-ocr-sin (<< 4.00~), tesseract-ocr-srp-latn (<< 4.00~), tesseract-ocr-syr (<< 4.00~),
 tesseract-ocr-tgk (<< 4.00~), tesseract-ocr-tir (<< 4.00~), tesseract-ocr-uig (<< 4.00~),
 tesseract-ocr-urd (<< 4.00~), tesseract-ocr-uzb (<< 4.00~), tesseract-ocr-uzb-cyrl (<< 4.00~),
 tesseract-ocr-yid (<< 4.00~), tesseract-pol (<< 4.00~), tesseract-por (<< 4.00~),
 tesseract-ron (<< 4.00~), tesseract-rus (<< 4.00~), tesseract-slk (<< 4.00~),
 tesseract-slk-frak (<< 4.00~), tesseract-slv (<< 4.00~), tesseract-spa (<< 4.00~),
 tesseract-spa-old (<< 4.00~), tesseract-sqi (<< 4.00~), tesseract-srp (<< 4.00~),
 tesseract-swa (<< 4.00~), tesseract-swe (<< 4.00~), tesseract-tam (<< 4.00~),
 tesseract-tel (<< 4.00~), tesseract-tgl (<< 4.00~), tesseract-tha (<< 4.00~),
 tesseract-tur (<< 4.00~), tesseract-ukr (<< 4.00~), tesseract-vie (<< 4.00~)
Replaces: tesseract-ocr (<< 3.01~)
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblept5 (>= 1.75.3)
Description: Tesseract OCR library
 Tesseract is an open source Optical Character Recognition (OCR)
 Engine. It can be used directly, or (for programmers) using an API to
 extract printed text from images. It supports a wide variety of
 languages. This package includes the shared library.

Package: tesseract-ocr-all
Architecture: all
Depends: ${misc:Depends}, tesseract-ocr,
        tesseract-ocr-bul, tesseract-ocr-cat, tesseract-ocr-ces, tesseract-ocr-dan,
        tesseract-ocr-deu, tesseract-ocr-ell, tesseract-ocr-eng, tesseract-ocr-fin,
        tesseract-ocr-fra, tesseract-ocr-hun, tesseract-ocr-ind, tesseract-ocr-ita,
        tesseract-ocr-lav, tesseract-ocr-lit, tesseract-ocr-nld, tesseract-ocr-nor,
        tesseract-ocr-pol, tesseract-ocr-por, tesseract-ocr-ron, tesseract-ocr-rus,
        tesseract-ocr-slk, tesseract-ocr-slv, tesseract-ocr-spa, tesseract-ocr-srp,
        tesseract-ocr-swe, tesseract-ocr-tur, tesseract-ocr-ukr, tesseract-ocr-vie,
        tesseract-ocr-chi-sim, tesseract-ocr-chi-tra, tesseract-ocr-amh, tesseract-ocr-asm,
        tesseract-ocr-aze-cyrl, tesseract-ocr-bod, tesseract-ocr-bos, tesseract-ocr-ceb,
        tesseract-ocr-cym, tesseract-ocr-dzo, tesseract-ocr-fas, tesseract-ocr-gle,
        tesseract-ocr-guj, tesseract-ocr-hat, tesseract-ocr-iku, tesseract-ocr-jav,
        tesseract-ocr-kat, tesseract-ocr-kat-old, tesseract-ocr-kaz, tesseract-ocr-khm,
        tesseract-ocr-kir, tesseract-ocr-lao, tesseract-ocr-lat, tesseract-ocr-mar,
        tesseract-ocr-mya, tesseract-ocr-nep, tesseract-ocr-ori, tesseract-ocr-pan,
        tesseract-ocr-pus, tesseract-ocr-san, tesseract-ocr-sin, tesseract-ocr-srp-latn,
        tesseract-ocr-syr, tesseract-ocr-tgk, tesseract-ocr-tir, tesseract-ocr-uig,
        tesseract-ocr-urd, tesseract-ocr-uzb, tesseract-ocr-uzb-cyrl, tesseract-ocr-yid,
        tesseract-ocr-osd, tesseract-ocr-afr, tesseract-ocr-ara, tesseract-ocr-aze,
        tesseract-ocr-bel, tesseract-ocr-ben, tesseract-ocr-chr, tesseract-ocr-enm,
        tesseract-ocr-epo, tesseract-ocr-est, tesseract-ocr-eus, tesseract-ocr-frk,
        tesseract-ocr-frm, tesseract-ocr-glg, tesseract-ocr-heb, tesseract-ocr-hin,
        tesseract-ocr-hrv, tesseract-ocr-isl, tesseract-ocr-ita-old, tesseract-ocr-jpn,
        tesseract-ocr-kan, tesseract-ocr-kor, tesseract-ocr-mal, tesseract-ocr-mkd,
        tesseract-ocr-mlt, tesseract-ocr-msa, tesseract-ocr-spa-old, tesseract-ocr-sqi,
        tesseract-ocr-swa, tesseract-ocr-tam, tesseract-ocr-tel, tesseract-ocr-tha,
        tesseract-ocr-bre, tesseract-ocr-chi-sim-vert, tesseract-ocr-chi-tra-vert,
        tesseract-ocr-cos, tesseract-ocr-div, tesseract-ocr-fao, tesseract-ocr-fil,
        tesseract-ocr-fry, tesseract-ocr-gla, tesseract-ocr-hye, tesseract-ocr-jpn-vert,
        tesseract-ocr-kor-vert, tesseract-ocr-kmr, tesseract-ocr-ltz, tesseract-ocr-mon,
        tesseract-ocr-mri, tesseract-ocr-oci, tesseract-ocr-que, tesseract-ocr-snd,
        tesseract-ocr-sun, tesseract-ocr-tat, tesseract-ocr-ton, tesseract-ocr-yor,
        tesseract-ocr-script-arab, tesseract-ocr-script-armn, tesseract-ocr-script-beng,
        tesseract-ocr-script-cans, tesseract-ocr-script-cher, tesseract-ocr-script-cyrl,
        tesseract-ocr-script-deva, tesseract-ocr-script-ethi, tesseract-ocr-script-frak,
        tesseract-ocr-script-geor, tesseract-ocr-script-grek, tesseract-ocr-script-gujr,
        tesseract-ocr-script-guru, tesseract-ocr-script-hans, tesseract-ocr-script-hans-vert,
        tesseract-ocr-script-hant, tesseract-ocr-script-hant-vert, tesseract-ocr-script-hang,
        tesseract-ocr-script-hang-vert, tesseract-ocr-script-hebr, tesseract-ocr-script-jpan,
        tesseract-ocr-script-jpan-vert, tesseract-ocr-script-knda, tesseract-ocr-script-khmr,
        tesseract-ocr-script-laoo, tesseract-ocr-script-latn, tesseract-ocr-script-mlym,
        tesseract-ocr-script-mymr, tesseract-ocr-script-orya, tesseract-ocr-script-sinh,
        tesseract-ocr-script-syrc, tesseract-ocr-script-taml, tesseract-ocr-script-telu,
        tesseract-ocr-script-thaa, tesseract-ocr-script-thai, tesseract-ocr-script-tibt,
        tesseract-ocr-script-viet, tesseract-ocr-grc
Description: Tesseract OCR with all language and script packages
 This is a metapackage for Tesseract OCR and includes all supported
 languages and scripts.
