## tesseract 4.2.0

=== DESCRIPTION ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Package: tesseract
 Type: Package
 Title: Open Source OCR Engine
-Version: 4.1.2
+Version: 4.2.0
 Authors@R: person("Jeroen", "Ooms", role = c("aut", "cre"), email = "jeroen@berkeley.edu",
     comment = c(ORCID = "0000-0002-4035-0289"))
 Description: Bindings to 'Tesseract' <https://opensource.google/projects/tesseract>: 
@@ -18,14 +18,14 @@
         training data separately (tesseract-ocr-eng)
 Imports: Rcpp (>= 0.12.12), pdftools (>= 1.5), curl, rappdirs, digest
 LinkingTo: Rcpp
-RoxygenNote: 7.1.1
+RoxygenNote: 7.1.2
 Suggests: magick (>= 1.7), spelling, knitr, tibble, rmarkdown
 Encoding: UTF-8
 VignetteBuilder: knitr
 Language: en-US
 NeedsCompilation: yes
-Packaged: 2021-09-17 12:27:27 UTC; jeroen
+Packaged: 2021-12-01 12:53:50 UTC; jeroen
 Author: Jeroen Ooms [aut, cre] (<https://orcid.org/0000-0002-4035-0289>)
 Maintainer: Jeroen Ooms <jeroen@berkeley.edu>
 Repository: CRAN
-Date/Publication: 2021-09-18 13:20:02 UTC
+Date/Publication: 2021-12-03 22:50:07 UTC
